This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 141943 - 2 * missing return statements
2 * missing return statements
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 04:57 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 07:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-06 04:57:40 EST
Description of problem:

I just tried to compile package gnome-utils-2.8.0-5 from Redhat Fedora
Core 3.

The compiler said

1.

gtk.c(1609): warning #117: non-void function
"check_for_localized_numeric_point" should return a value

The source code is

tatic gboolean
check_for_localized_numeric_point(int keyval)
{
    gchar outbuf[10];        /* Minumum size 6. */
    gunichar ch;

    ch = gdk_keyval_to_unicode(keyval);
    g_return_if_fail(g_unichar_validate(ch));

Suggest code re-work to ensure rubbish is not returned to the caller.

2.

gdict-applet.c(233): warning #1011: missing return statement at end of
non-void function "destroy_applet"

The source code is

static gboolean
destroy_applet (GtkWidget *widget, gpointer data)
{
        GDictApplet *applet = data;

        if (applet->about_dialog)
                gtk_widget_destroy (applet->about_dialog);

        gtk_widget_destroy (applet->button_widget);
        gtk_widget_destroy (applet->box);
        gtk_widget_destroy (applet->entry_widget);
        gtk_widget_destroy (applet->applet_widget);
}

Suggest add return statement at the end of the routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marco Pesenti Gritti 2005-01-10 07:32:15 EST
The first is already fixed upstream, the second reported as

http://bugzilla.gnome.org/show_bug.cgi?id=163555

Note You need to log in before you can comment on or make changes to this bug.